CREATE TABLE fun_catalog_object_usages_ (
    USAGE_ID                  NUMBER(18, 0) ,
    CONSUMER_ID               NUMBER(18, 0) ,
    SOURCE_ID                 NUMBER(18, 0) ,
    SOURCE_TYPE_CODE          VARCHAR2(120) ,
    CONSUMER_TYPE_CODE        VARCHAR2(120) ,
    ATTRIBUTE_LIST            BLOB          ,
    SORT_BY                   VARCHAR2(256) ,
    FILTER_CONDITION          VARCHAR2(4000),
    EXTRACT_REGISTRED_FLAG    VARCHAR2(4)   ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    USAGE_CODE                VARCHAR2(960) ,
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    USAGE_ID                  NUMBER(18, 0) ,
    CONSUMER_ID               NUMBER(18, 0) ,
    SOURCE_ID                 NUMBER(18, 0) ,
    SOURCE_TYPE_CODE          VARCHAR2(120) ,
    CONSUMER_TYPE_CODE        VARCHAR2(120) ,
    ATTRIBUTE_LIST            BLOB          ,
    SORT_BY                   VARCHAR2(256) ,
    FILTER_CONDITION          VARCHAR2(4000),
    EXTRACT_REGISTRED_FLAG    VARCHAR2(4)   ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    USAGE_CODE                VARCHAR2(960) ,
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    CONSTRAINT pk_fun_catalog_object_usages_ PRIMARY KEY (USAGE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, USAGE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
